# Faster animations
Framer.Defaults.Animation.time = 0.7


# Flow
flow = new FlowComponent
	backgroundColor: inbox.backgroundColor	# same light gray as the artboards
# Initial screen: Inbox
flow.showNext inbox


flow.header = navbar


flow.footer = tabbar

# Save the tabbar’s original position
flow.footer.initial_y = flow.footer.y

# Switch to Liked screen
tab_liked.onTap ->
	flow.showNext liked,
		animate: no
	
	# Move the tab bar up or down depending on the scroll direction
	flow.scroll.onScroll ->
		if event.velocity.y < 0
			tabbar.animate
				y: Screen.height
		else 
			tabbar.animate
				y: flow.footer.initial_y
	
	# remove the (automatically set) bottom Content Inset
	# because it’s not needed anymore
	flow.scroll.contentInset =
		top: flow.scroll.contentInset.top	# top stays the same
		bottom: 0

# Switch to Messages screen
tab_messages.onTap ->
	flow.showNext messages,
		animate: no

# Switch back to Inbox screen
tab_inbox.onTap ->
	flow.showNext inbox,
		animate: no


# Make the correct Tab icon active after the transition
flow.onTransitionEnd ->
	for tab in tabbar.children
		tab.children[0].color = "#ddd"
	
	if flow.current is inbox
		tab_inbox.children[0].color = "#000"
	else if flow.current is liked
		tab_liked.children[0].color = "#000"
	else
		tab_messages.children[0].color = "#000"
